Eclipse Platform Release 3.7

## org.eclipse.ui.views
Interface IViewRegistry

    public interface IViewRegistry

The view registry maintains a list of views explicitly registered against the view extension point..

The description of a given view is kept in a `IViewDescriptor`.

This interface is not intended to be implemented by clients.

Since:
  3.1
See Also:
  `IViewDescriptor`, `IStickyViewDescriptor`
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`IViewDescriptor` `find(String id)` Return a view descriptor with the given extension id.
`IViewCategory[]` `getCategories()` Returns an array of view categories.
`IStickyViewDescriptor[]` `getStickyViews()` Return a list of sticky views defined in the registry.
`IViewDescriptor[]` `getViews()` Return a list of views defined in the registry.

Method Detail

### find

    IViewDescriptor find(String id)

  Return a view descriptor with the given extension id. If no view exists with the id return `null`. Will also return `null` if the view descriptor exists, but is filtered by an expression-based activity.

  Parameters:
    `id` - the id to search for
  Returns:
    the descriptor or `null`

### getCategories

    IViewCategory[] getCategories()

  Returns an array of view categories.

  Returns:
    the categories. Never `null`.

### getViews

    IViewDescriptor[] getViews()

  Return a list of views defined in the registry.

  Returns:
    the views. Never `null`.

### getStickyViews

    IStickyViewDescriptor[] getStickyViews()

  Return a list of sticky views defined in the registry.

  Returns:
    the sticky views. Never `null`.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.